LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDiagram Interface Reference

`import"XDiagram.idl";`

Inheritance diagram for XDiagram:

## Public Member Functions
com::sun::star::beans::XPropertySet | getWall ()
| returns the property set that determines the visual appearance of the wall. More...
com::sun::star::beans::XPropertySet | getFloor ()
| returns the property set that determines the visual appearance of the floor if any. More...
XLegend | getLegend ()
| returns the legend, which may represent data series and other information about a diagram in a separate box. More...
void | setLegend ([in] XLegend xLegend)
| sets a new legend. More...
XColorScheme | getDefaultColorScheme ()
| returns an XColorScheme that defines the default colors for data series (or data points) in the diagram. More...
void | setDefaultColorScheme ([in] XColorScheme xColorScheme)
| sets an XColorScheme that defines the default colors for data series (or data points) in the diagram. More...
void | setDiagramData ([in] com::sun::star::chart2::data::XDataSource xDataSource, [in] sequence< com::sun::star::beans::PropertyValue > aArguments)
| sets new data to the diagram. More...
XDataTable | getDataTable ()
| returns the data table More...
void | setDataTable ([in] XDataTable xDataTable)
| sets a new data table. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ getDataTable()

XDataTable getDataTable | ( |  | ) |

returns the data table

## ◆ getDefaultColorScheme()

XColorScheme getDefaultColorScheme | ( |  | ) |

returns an XColorScheme that defines the default colors for data series (or data points) in the diagram.

## ◆ getFloor()

com::sun::star::beans::XPropertySet getFloor | ( |  | ) |

returns the property set that determines the visual appearance of the floor if any.

The floor is the bottom of a 3D diagram. For a 2D diagram NULL is returned.

## ◆ getLegend()

XLegend getLegend | ( |  | ) |

returns the legend, which may represent data series and other information about a diagram in a separate box.

## ◆ getWall()

com::sun::star::beans::XPropertySet getWall | ( |  | ) |

returns the property set that determines the visual appearance of the wall.

The wall is the area behind the union of all coordinate systems used in a diagram.

## ◆ setDataTable()

void setDataTable | ( | [in] XDataTable | xDataTable | ) |

sets a new data table.

## ◆ setDefaultColorScheme()

void setDefaultColorScheme | ( | [in] XColorScheme | xColorScheme | ) |

sets an XColorScheme that defines the default colors for data series (or data points) in the diagram.

## ◆ setDiagramData()

void setDiagramData | ( | [in] com::sun::star::chart2::data::XDataSource | xDataSource,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | aArguments
| ) |  |

sets new data to the diagram.

Parameters

  xDataSource | This data source will be interpreted in a chart-type specific way and the DataSeries found in `xDiagram` will be adapted to the new data. Missing data series will be created and unused ones will be deleted.
  aArguments | Arguments tells how to slice the given data.

For standard parameters that may be used, see the service StandardDiagramCreationParameters.

## ◆ setLegend()

void setLegend | ( | [in] XLegend | xLegend | ) |

sets a new legend.

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XDiagram.idl